<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [setToBladeburnerAction](./bitburner.sleeve.settobladeburneraction.md)

## Sleeve.setToBladeburnerAction() method

Set a sleeve to perform Bladeburner actions.

**Signature:**

```typescript
setToBladeburnerAction(sleeveNumber: number, action: string, contract?: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sleeveNumber | number | Index of the sleeve to perform a Bladeburner action. |
|  action | string | Name of the action to be performed. |
|  contract | string | _(Optional)_ Name of the contract if applicable. |

**Returns:**

boolean

True if the sleeve started the given Bladeburner action, false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not the sleeve started a Bladeburner action.

